Bug 1307157 - rabbitmq-server should not require openstack-selinux package
rabbitmq-server should not require openstack-selinux package
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Peter Lemenkov
Depends On: 1307156
  Show dependency treegraph
Reported: 2016-02-12 16:06 EST by Ken Dreyer (Red Hat)
Modified: 2016-04-18 03:00 EDT (History)
6 users (show)

See Also:
Fixed In Version: rabbitmq-server-3.3.5-18.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1307156
Last Closed: 2016-02-15 10:18:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer (Red Hat) 2016-02-12 16:06:09 EST
+++ This bug was initially created as a clone of Bug #1307156 +++

Description of problem:
rabbitmq-server requires openstack-selinux

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum install rabbitmq-server
2. yum remove openstack-selinux

Actual results:
Yum removes rabbitmq-server along with openstack-selinux

Expected results:
Yum removes openstack-selinux without removing rabbitmq-server

Additional info:
Per the discussion in bug 1180140, Lon agrees that the dependency should be removed.

Longer term, it would be *great* if the RabbitMQ SELinux policy shipped in the a RabbitMQ sub-package, or even RHEL Base's selinux-policy, so that more RH products could share (cross-ship) OSP's RabbitMQ build.

--- Additional comment from Red Hat Bugzilla Rules Engine on 2016-02-12 16:05:19 EST ---

Since this issue was entered in bugzilla without a release flag set, rhos-8.0? has been automatically added to ensure that it is properly evaluated for this release.

Note You need to log in before you can comment on or make changes to this bug.